Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class ContractAutopayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopayment

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractAutopayment extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractAutopayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `int`
  `getModuleId()`
  `PeriodWithTime`
  `getPeriod()`
  `int`
  `getUserFromId()`
  `String`
  `getUserFromName()`
  `int`
  `getUserToId()`
  `String`
  `getUserToName()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setPeriod(PeriodWithTime period)`
  `void`
  `setUserFromId(int userFromId)`
  `void`
  `setUserFromName(String userFromName)`
  `void`
  `setUserToId(int userToId)`
  `void`
  `setUserToName(String userToName)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractAutopayment

    public ContractAutopayment()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setPeriod

    public void setPeriod(PeriodWithTime period)

  - ### getUserFromId

    public int getUserFromId()

  - ### setUserFromId

    public void setUserFromId(int userFromId)

  - ### getUserToId

    public int getUserToId()

  - ### setUserToId

    public void setUserToId(int userToId)

  - ### getUserFromName

    public String getUserFromName()

  - ### setUserFromName

    public void setUserFromName(String userFromName)

  - ### getUserToName

    public String getUserToName()

  - ### setUserToName

    public void setUserToName(String userToName)